function [xdata_insample,xdata_oos,var_names] =   variable_setup_large(varname,varvalue_insample,varvalue_oos);
% Small Model list of variables

% List some variables
var_names_list = { ... 
'str_s' ...
'med_income_z' ...
'te_avgyr_s' ...
'exp_1000_1999_d' ...
'frpm_frac_s' ...
'ell_frac_s' ...
'freem_frac_s' ...
'enrollment_s' ...
'fep_frac_s' ...
'edi_s' ...
're_aian_frac_s' ...
're_asian_frac_s' ...
're_baa_frac_s' ...
're_fil_frac_s' ...
're_hl_frac_s' ...
're_hpi_frac_s' ...
're_tom_frac_s' ...
're_nr_frac_s' ...
'te_fte_s' ...
'te_1yr_frac_s' ...
'te_2yr_frac_s' ...
'te_tot_fte_rat_s' ...
'exp_2000_2999_d' ...
'exp_3000_3999_d' ...
'exp_4000_4999_d' ...
'exp_5000_5999_d' ...
'exp_6000_6999_d' ...
'exp_7000_7999_d' ...
'exp_8000_8999_d' ...
'expoc_1000_1999_d' ...
'expoc_2000_2999_d' ...
'expoc_3000_3999_d' ...
'expoc_4000_4999_d' ...
'expoc_5000_5999_d' ...
'revoc_8010_8099_d' ...
'revoc_8100_8299_d' ...
'revoc_8300_8599_d' ...
'revoc_8600_8799_d' ...
}';

% Levels
var_names = var_names_list;
% Levels data
  xdata_insample = getvar(var_names(1),varname,varvalue_insample);
  xdata_oos = getvar(var_names(1),varname,varvalue_oos);
  for i = 2:size(var_names,1);
      x = getvar(var_names(i),varname,varvalue_insample);
      xdata_insample = [xdata_insample x];
      x = getvar(var_names(i),varname,varvalue_oos);
      xdata_oos = [xdata_oos x];
  end;

 % Some interactions
  var1 = var_names_list;
  var2 = var_names_list;
  nn = size(var_names,1);
  for i = 1: size(var1,1);
      x1_insample = getvar(var1(i),varname,varvalue_insample);
      x1_oos = getvar(var1(i),varname,varvalue_oos);
      x1str = char(var1(i));
      for j = i:size(var2,1);    % note this starts at i 
        x2_insample = getvar(var2(j),varname,varvalue_insample);
        x = x1_insample.*x2_insample;
        xdata_insample = [xdata_insample x];
        
        x2_oos = getvar(var2(j),varname,varvalue_oos);
        x = x1_oos.*x2_oos;
        xdata_oos = [xdata_oos x];
           
        x2str = char(var2(j));
        tmp_str = [x1str '_x_' x2str];
        nn = nn+1;
        var_names{nn,1} = tmp_str;
      end;
  end;
  
  % cubes
  var1 = var_names_list;
  nn = size(var_names,1);
  for i = 1: size(var1,1);
      x1 = getvar(var1(i),varname,varvalue_insample);
      x = x1.*x1.*x1;
      xdata_insample = [xdata_insample x];
      
      x1 = getvar(var1(i),varname,varvalue_oos);
      x = x1.*x1.*x1;
      xdata_oos = [xdata_oos x];
      
      x1str = char(var1(i));
      tmp_str = [x1str '_cubed'];
      nn = nn+1;
      var_names{nn,1} = tmp_str;
  end;
  
  
  
  
  
end

